<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use App\Models\Role;
use App\Models\Anggota;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Schema;

class AnggotaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('anggota')->insert([
            [
                'id_anggota' => 7,
                'nik' => '3574016104040001',
                'no_anggota' => '18052024058648',
                'nama' => 'Dwi Ariyanti',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mawar 8',
                'no_telp' => '089765678984',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:05:36',
                'updated_at' => '2024-05-17 11:18:00'
            ],
            [
                'id_anggota' => 8,
                'nik' => '3574016104040002',
                'no_anggota' => '18052024499678',
                'nama' => 'Setyowati',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mawar 9',
                'no_telp' => '089765678988',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:10:26',
                'updated_at' => '2024-05-17 11:17:38'
            ],
            [
                'id_anggota' => 9,
                'nik' => '3574016104040003',
                'no_anggota' => '18052024991765',
                'nama' => 'Sri Ismaningsih',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Kopian',
                'no_telp' => '089765678985',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:13:32',
                'updated_at' => '2024-05-17 11:13:32'
            ],
            [
                'id_anggota' => 10,
                'nik' => '3574016104040005',
                'no_anggota' => '18052024242537',
                'nama' => 'Tatik Indrawati Wibowo',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:14:59',
                'updated_at' => '2024-05-17 11:17:12'
            ],
            [
                'id_anggota' => 11,
                'nik' => '3574016104040006',
                'no_anggota' => '18052024588424',
                'nama' => 'Ahmad Hadi Nur Wibowo',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352708',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:16:44',
                'updated_at' => '2024-05-17 11:16:44'
            ],
            [
                'id_anggota' => 12,
                'nik' => '3574016104040007',
                'no_anggota' => '18052024355411',
                'nama' => 'Alfia Aziza',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Tangkuban Perahu No 8',
                'no_telp' => '085927352704',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:20:04',
                'updated_at' => '2024-05-17 11:30:33'
            ],
            [
                'id_anggota' => 13,
                'nik' => '3574016104040008',
                'no_anggota' => '18052024058649',
                'nama' => 'Ana Subaidah',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mawar 1',
                'no_telp' => '089765678987',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:05:36',
                'updated_at' => '2024-05-17 04:18:00'
            ],
            [
                'id_anggota' => 14,
                'nik' => '3574016104040009',
                'no_anggota' => '18052024499679',
                'nama' => 'Balis Prasmawati',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Melati 9',
                'no_telp' => '089765678688',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:10:26',
                'updated_at' => '2024-05-17 04:17:38'
            ],
            [
                'id_anggota' => 15,
                'nik' => '3574016104040010',
                'no_anggota' => '18052024991766',
                'nama' => 'Herlina Nanda Putri',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mastrip No 1',
                'no_telp' => '089745678985',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:13:32',
                'updated_at' => '2024-05-17 04:13:32'
            ],
            [
                'id_anggota' => 16,
                'nik' => '3574016104040011',
                'no_anggota' => '18052024242539',
                'nama' => 'Hosnan Tiram',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 8',
                'no_telp' => '085927152702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:14:59',
                'updated_at' => '2024-05-17 04:17:12'
            ],
            [
                'id_anggota' => 17,
                'nik' => '3574016104040012',
                'no_anggota' => '18052024588420',
                'nama' => 'Ishak',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Cokroaminoto No 7',
                'no_telp' => '085927362708',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:16:44',
                'updated_at' => '2024-05-17 04:16:44'
            ],
            [
                'id_anggota' => 18,
                'nik' => '3574016104040013',
                'no_anggota' => '18052024355412',
                'nama' => 'Jumadi',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Cokroaminoto No 8',
                'no_telp' => '085927362704',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:20:04',
                'updated_at' => '2024-05-17 04:30:33'
            ],
            [
                'id_anggota' => 19,
                'nik' => '3574016104040014',
                'no_anggota' => '18052024058650',
                'nama' => 'Kumis Subaidah',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mawar 10',
                'no_telp' => '089765678999',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 05:05:36',
                'updated_at' => '2024-05-17 05:18:00'
            ],
            [
                'id_anggota' => 20,
                'nik' => '3574016104040015',
                'no_anggota' => '18052024499680',
                'nama' => 'Kumolo Saputra',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Melati 10',
                'no_telp' => '089765678999',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 05:10:26',
                'updated_at' => '2024-05-17 05:17:38'
            ],
            [
                'id_anggota' => 21,
                'nik' => '3574016104040016',
                'no_anggota' => '18052024991767',
                'nama' => 'Lukman',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 9',
                'no_telp' => '089765678999',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 05:13:32',
                'updated_at' => '2024-05-17 05:13:32'
            ],
            [
                'id_anggota' => 22,
                'nik' => '3574016104040017',
                'no_anggota' => '18052024242541',
                'nama' => 'Mandala Tiram',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 10',
                'no_telp' => '085927152710',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 05:14:59',
                'updated_at' => '2024-05-17 05:17:12'
            ],
            [
                'id_anggota' => 23,
                'nik' => '3574016104040018',
                'no_anggota' => '18052024588422',
                'nama' => 'Nuryati',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Kenangan No 5',
                'no_telp' => '085927362710',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 05:16:44',
                'updated_at' => '2024-05-17 05:16:44'
            ],
            [
                'id_anggota' => 24,
                'nik' => '3574016104040019',
                'no_anggota' => '18052024355413',
                'nama' => 'Oman',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Cokroaminoto No 9',
                'no_telp' => '085927362706',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-21',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 05:20:04',
                'updated_at' => '2024-05-17 05:30:33'
            ],
            [
                'id_anggota' => 25,
                'nik' => '3574016104040020',
                'no_anggota' => '18052024058651',
                'nama' => 'Pradita',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mawar 11',
                'no_telp' => '089765679999',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-21',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 06:05:36',
                'updated_at' => '2024-05-17 06:18:00'
            ],
            [
                'id_anggota' => 26,
                'nik' => '3574016104040021',
                'no_anggota' => '18052024499681',
                'nama' => 'Rahmawati',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Melati 11',
                'no_telp' => '089765678988',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-21',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 06:10:26',
                'updated_at' => '2024-05-17 06:17:38'
            ],
            [
                'id_anggota' => 27,
                'nik' => '3574016104040022',
                'no_anggota' => '18052024991768',
                'nama' => 'Samsul Hadi',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 11',
                'no_telp' => '089765678988',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2019-05-21',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 06:13:32',
                'updated_at' => '2024-05-17 06:13:32'
            ],
            [
                'id_anggota' => 28,
                'nik' => '3574016104040023',
                'no_anggota' => '18052024242543',
                'nama' => 'Sugeng Wijaya',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 12',
                'no_telp' => '085927352702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-21',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 06:14:59',
                'updated_at' => '2024-05-17 06:17:12'
            ],
            [
                'id_anggota' => 29,
                'nik' => '3574016104040024',
                'no_anggota' => '18052024588423',
                'nama' => 'Susi Susanti',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Kenangan No 6',
                'no_telp' => '085927352708',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-21',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 06:16:44',
                'updated_at' => '2024-05-17 06:16:44'
            ],
            [
                'id_anggota' => 30,
                'nik' => '3574016104040025',
                'no_anggota' => '18052024355414',
                'nama' => 'Tiara Permata',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Cokroaminoto No 10',
                'no_telp' => '085927362704',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-22',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 06:20:04',
                'updated_at' => '2024-05-17 06:30:33'
            ],
            [
                'id_anggota' => 31,
                'nik' => '3574016104040028',
                'no_anggota' => '18052024058319',
                'nama' => 'Sunyoto',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mawar 1',
                'no_telp' => '089765674987',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:05:36',
                'updated_at' => '2024-05-17 04:18:00',
            ],
            [
                'id_anggota' => 32,
                'nik' => '3590401610401001',
                'no_anggota' => '1805203058648',
                'nama' => 'Sutarnal',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mawar 8',
                'no_telp' => '089765678984',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:05:36',
                'updated_at' => '2024-05-17 11:18:00',
            ],
            [
                'id_anggota' => 33,
                'nik' => '3574072610402002',
                'no_anggota' => '180527499678',
                'nama' => 'Sutin',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mawar 9',
                'no_telp' => '089765678988',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:10:26',
                'updated_at' => '2024-05-17 11:17:38',
            ],
            [
                'id_anggota' => 34,
                'nik' => '35740161040423',
                'no_anggota' => '1805203991765',
                'nama' => 'Ari Soesandi',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Kopian',
                'no_telp' => '089765678985',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:13:32',
                'updated_at' => '2024-05-17 11:13:32',
            ],
            [
                'id_anggota' => 35,
                'nik' => '35740161040405',
                'no_anggota' => '1805224242537',
                'nama' => 'Lismnini',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:14:59',
                'updated_at' => '2024-05-17 11:17:12',
            ],
            [
                'id_anggota' => 36,
                'nik' => '35740161040446',
                'no_anggota' => '1805214588424',
                'nama' => 'Susilowati',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352708',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2019-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:16:44',
                'updated_at' => '2024-05-17 11:16:44',
            ],
            [
                'id_anggota' => 40,
                'nik' => '357401610404310',
                'no_anggota' => '1805202491766',
                'nama' => 'Slamet Sodiq',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 1',
                'no_telp' => '089745678985',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:13:32',
                'updated_at' => '2024-05-17 04:13:32',
            ],
            [
                'id_anggota' => 41,
                'nik' => '357401610404711',
                'no_anggota' => '1805202492539',
                'nama' => 'Ikhromy Alif Viandra',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 8',
                'no_telp' => '085927152702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:14:59',
                'updated_at' => '2024-05-17 04:17:12',
            ],
            [
                'id_anggota' => 42,
                'nik' => '357401610404282',
                'no_anggota' => '18052024538420',
                'nama' => 'Indra Budi Jaya',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Cokroaminoto No 7',
                'no_telp' => '085927362708',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:16:44',
                'updated_at' => '2024-05-17 04:16:44',
            ],
            [
                'id_anggota' => 43,
                'nik' => '357401610404113',
                'no_anggota' => '1805202432416',
                'nama' => 'Felisa Sybila Enova',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Supriyadi No 2',
                'no_telp' => '085927952704',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:20:04',
                'updated_at' => '2024-05-17 04:30:33',
            ],
            [
                'id_anggota' => 44,
                'nik' => '357401610404348',
                'no_anggota' => '1805202401769',
                'nama' => 'Umidatul Khoiro',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mawar 1',
                'no_telp' => '089795678987',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:05:36',
                'updated_at' => '2024-05-17 04:18:00',
            ],
            [
                'id_anggota' => 45,
                'nik' => '357401610404209',
                'no_anggota' => '1805202442669',
                'nama' => 'Widodo Budi Utomo',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Melati 9',
                'no_telp' => '089765218688',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:10:26',
                'updated_at' => '2024-05-17 04:17:38',
            ],
            [
                'id_anggota' => 46,
                'nik' => '357401610414010',
                'no_anggota' => '1805202490756',
                'nama' => 'Tria Agus Priyanto',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 1',
                'no_telp' => '089745674685',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:13:32',
                'updated_at' => '2024-05-17 04:13:32',
            ],
            [
                'id_anggota' => 47,
                'nik' => '3574016104030091',
                'no_anggota' => '1805202432139',
                'nama' => 'Audi Elvira Widiyanti',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mastrip No 8',
                'no_telp' => '085917152702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:14:59',
                'updated_at' => '2024-05-17 04:17:12',
            ],
            [
                'id_anggota' => 48,
                'nik' => '3574016104047892',
                'no_anggota' => '1805202418462',
                'nama' => 'Bisma Aflah Widiyanto',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Cokroaminoto No 7',
                'no_telp' => '085907362708',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:16:44',
                'updated_at' => '2024-05-17 04:16:44',
            ],
            [
                'id_anggota' => 49,
                'nik' => '3574016104011013',
                'no_anggota' => '1805202425416',
                'nama' => 'Viva Rosita',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Supriyadi No 2',
                'no_telp' => '085927950704',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:20:04',
                'updated_at' => '2024-05-17 04:30:33',
            ],
            [
                'id_anggota' => 50,
                'nik' => '3574036104040088',
                'no_anggota' => '1805202442699',
                'nama' => 'Ummi Khaula',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Mawar 1',
                'no_telp' => '089767678987',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:05:36',
                'updated_at' => '2024-05-17 04:18:00',
            ],
            [
                'id_anggota' => 51,
                'nik' => '3574016164041239',
                'no_anggota' => '1805202474677',
                'nama' => 'Tosi',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Melati 9',
                'no_telp' => '089765678668',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-19',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 04:10:26',
                'updated_at' => '2024-05-17 04:17:38',
            ],
            [
                'id_anggota' => 52,
                'nik' => '3574016104040128',
                'no_anggota' => '1805202469742',
                'nama' => 'Farandi',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 1',
                'no_telp' => '086745678985',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:13:32',
                'updated_at' => '2024-05-17 04:13:32',
            ],
            [
                'id_anggota' => 53,
                'nik' => '3574012104040071',
                'no_anggota' => '1805202439039',
                'nama' => 'Gandhi Mens Hastadi',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mastrip No 8',
                'no_telp' => '081927152702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:14:59',
                'updated_at' => '2024-05-17 04:17:12',
            ],
            [
                'id_anggota' => 54,
                'nik' => '3574016105041212',
                'no_anggota' => '1805202428489',
                'nama' => 'Risnanda Hermawati',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Cokroaminoto No 7',
                'no_telp' => '085947362708',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:16:44',
                'updated_at' => '2024-05-17 04:16:44',
            ],
            [
                'id_anggota' => 55,
                'nik' => '3574016132040055',
                'no_anggota' => '1805202405416',
                'nama' => 'Shella',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Supriyadi No 2',
                'no_telp' => '085927252704',
                'pekerjaan' => 'Swasta',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:20:04',
                'updated_at' => '2024-05-17 04:30:33',
            ],
            [
                'id_anggota' => 56,
                'nik' => '3574016104041028',
                'no_anggota' => '1805202401319',
                'nama' => 'Safwan Iqbal Risqullah',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mawar 1',
                'no_telp' => '089765674987',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-20',
                'jenis_anggota' => 'Biasa',
                'created_at' => '2024-05-17 04:05:36',
                'updated_at' => '2024-05-17 04:18:00',
            ],
            [
                'id_anggota' => 57,
                'nik' => '3574072619402002',
                'no_anggota' => '180527123678',
                'nama' => 'Fahrio Dwi Cahyo',
                'jenis_kelamin' => 'Laki-Laki',
                'alamat' => 'Jl Mawar 9',
                'no_telp' => '089765678988',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:10:26',
                'updated_at' => '2024-05-17 11:17:38',
            ],
            [
                'id_anggota' => 58,
                'nik' => '35740161020423',
                'no_anggota' => '1805203931765',
                'nama' => 'Diana Noerawati',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Kopian',
                'no_telp' => '089765678985',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:13:32',
                'updated_at' => '2024-05-17 11:13:32',
            ],
            [
                'id_anggota' => 59,
                'nik' => '35740161010405',
                'no_anggota' => '1805224642537',
                'nama' => 'Chotima',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352702',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:14:59',
                'updated_at' => '2024-05-17 11:17:12',
            ],
            [
                'id_anggota' => 60,
                'nik' => '35740161080446',
                'no_anggota' => '1805214088424',
                'nama' => 'Sabarina',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352708',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:16:44',
                'updated_at' => '2024-05-17 11:16:44',
            ],
            [
                'id_anggota' => 61,
                'nik' => '35740161060446',
                'no_anggota' => '1805214688424',
                'nama' => 'Wiwin',
                'jenis_kelamin' => 'Perempuan',
                'alamat' => 'Jl Tangkuban Perahu',
                'no_telp' => '085927352708',
                'pekerjaan' => 'Pegawai',
                'tanggal_masuk' => '2022-05-18',
                'jenis_anggota' => 'Pendiri',
                'created_at' => '2024-05-17 11:16:44',
                'updated_at' => '2024-05-17 11:16:44',
            ],

        ]);
    }
}